%define 	name	pcsc-lite
%define 	version	1.2.9
%define 	release	beta8
%define 	prefix	/usr

Summary: 	PCSC Lite winscard API
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Redistributable
Vendor: StartCom Ltd., http://www.startcom.org
Packager: 	Eddy Nigg <eddy_nigg@startcom.org>
Group:		Applications/System
Url:		http://pcsclite.alioth.debian.org/
Source:		http://alioth.debian.org/download.php/1133/%{name}-%{version}-%{release}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}
Requires:	libusb


%description
The purpose of PCSC Lite is to provide a Windows(R) SCard interface 
in a very small form factor for communicating to smart cards and readers. 
PCSC Lite uses the same winscard API as used under Windows(R).

%prep
%setup -q

%build
%configure -q \
	--enable-confdir=$RPM_BUILD_ROOT/etc \
	--enable-libusb \
	--enable-extendedapdu \
	--enable-usbdropdir=/usr/share/pcsc/drivers \
	--enable-muscledropdir=/usr/share/pcsc/services

make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
%makeinstall

mkdir $RPM_BUILD_ROOT/etc/init.d
cp etc/pcscd.init $RPM_BUILD_ROOT/etc/init.d/pcscd.new
cd $RPM_BUILD_ROOT/
cat usr/sbin/update-reader.conf | sed 's|/var/tmp/pcsc-lite-1.2.9-beta8/etc/reader.conf|/etc/reader.conf.d/reader.conf|g' > usr/sbin/update-reader.conf.new
mv usr/sbin/update-reader.conf.new usr/sbin/update-reader.conf
cat etc/init.d/pcscd.new | sed 's|/var/tmp/pcsc-lite-1.2.9-beta8/etc/reader.conf|/etc/reader.conf.d/reader.conf|g' > etc/init.d/pcscd
rm -f etc/init.d/pcscd.new
chmod 755 usr/sbin/update-reader.conf
chmod 755 etc/init.d/pcscd


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi


%post
chkconfig --add pcscd
chkconfig --level 35 pcscd on
service pcscd start

%postun
service pcscd stop
chkconfig --level 35 pcscd off
chkconfig --del pcscd



%files
%defattr(-,root,root)
%doc ChangeLog COPYING README AUTHORS DRIVERS HELP
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/*
%{_libdir}/lib*
%{_libdir}/pkgconfig/*
%{_includedir}/PCSC/*
%{_sysconfdir}/reader.conf.d/*
%{_sysconfdir}/init.d/pcscd




%changelog
* Sat Mar 18 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
* Sun Dec 04 2005 StartCom Ltd., Eddy Nigg <eddy_nigg@startcom.org>
- Fixed the usbdropdir
* Fri Nov 18 2005 StartCom Ltd., Eddy Nigg <eddy_nigg@startcom.org>
- Initial build


